.cart-box__content .loading-spinner {
  display: none;
}
.cart-box__content.cart-refreshing .loading-spinner {
  display: flex;
}

.cart-box__name {
  font-weight: 500;
  position: relative;
  -webkit-line-clamp: 3;
  line-height: 1.4;
  max-height: 4.2em;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  text-decoration: none;
  align-self: flex-start;
}

.cart-box__shipping-not-free + .cart-box__discount-alert {
  border-top: 1px solid var(--bs-primary-300);
  border-top: 1px solid color-mix(in srgb, var(--bs-alert-bg) 90%, black);
}
.cart-box__discount-alert.ajax-loading b {
  background: #b3b8be;
  color: #b3b8be;
  filter: blur(1px);
  display: inline-block;
  vertical-align: baseline;
  line-height: 1.1;
  animation: moveText 1s infinite ease-in-out;
  max-width: 4em;
  white-space: nowrap;
  overflow: hidden;
}

@keyframes moveText {
  0% {
    transform: scaleY(1);
  }
  20% {
    transform: scaleY(1.05);
  }
  40% {
    transform: scaleY(1.1);
  }
  60% {
    transform: scaleY(1.05);
  }
  80% {
    transform: scaleY(1);
  }
  100% {
    transform: scaleY(0.95);
  }
}
.cart-box__sum {
  padding: 0 var(--cart-box-item-padding-x);
}

.cart-box__sum-and-btns {
  padding: var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);
}

.cart-box__sum-price {
  background-color: #e3e8ef;
}

.cart-box__items {
  min-height: calc(1rem + var(--image-height));
  overflow: hidden auto;
  scrollbar-width: thin;
  scrollbar-color: #a9b6c5 #ffffff;
  transition: max-height ease 0.4s;
  padding: 0.5rem;
}
.cart-box__items::-webkit-scrollbar {
  width: 6px;
  height: 6px;
}
.cart-box__items::-webkit-scrollbar-thumb {
  background: #a9b6c5;
  border: 3px solid #a9b6c5;
  border-radius: 3px;
}
.cart-box__items::-webkit-scrollbar-thumb:hover {
  background: #8494a7;
  border: 3px solid #8494a7;
}
.cart-box__items::-webkit-scrollbar-track {
  background-color: #ffffff;
  border-radius: 3px;
}

.cart-box__item__img, .cart-box__item__no-img {
  mix-blend-mode: darken;
}

.cart-box__item {
  padding: 0.5rem 0;
  box-sizing: content-box;
  display: flex;
  align-items: flex-start;
  column-gap: 0.5rem;
  row-gap: 0.25rem;
}
.cart-box__item:not(.cart-box__item--package-offer-item):not(.cart-box__item--package-offer) {
  border-top: 1px solid #e3e8ef;
}
.cart-box__item:not(.cart-box__item--package-offer-item):not(.cart-box__item--package-offer):last-child {
  border-bottom: 1px solid #e3e8ef;
}
.cart-box__item:not(.cart-box__item--package-offer):first-child {
  border-top: none !important;
  padding-top: 0 !important;
}
.cart-box__item__img-link {
  flex: 0 0 auto;
}
.cart-box-layout-2 .cart-box__item:not(.cart-box__item--package-offer-item) {
  flex-direction: column;
  align-items: stretch;
}

.cart-box__item__data, .cart-boc__item__name-wrapper {
  flex-basis: 0;
  flex-grow: 1;
  display: flex;
  flex-wrap: wrap;
  column-gap: 0.5rem;
  row-gap: 0.5rem;
}

.cart-box__item__data {
  align-content: baseline;
}

.cart-box__data::before {
  content: "";
  position: absolute;
  bottom: calc(100% + 1px);
  left: 0;
  right: 0;
  height: 1rem;
  background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 0%, white 100%);
}

.cart-box__volume {
  color: rgba(60, 74, 96, 0.7);
  font-weight: 500;
}

.cart-box__item-price--full {
  font-weight: 600;
}

.cart-box__item__price-outer {
  display: flex;
  align-items: baseline;
  gap: 0.5rem;
  justify-content: space-between;
  flex: 1 100%;
  line-height: 1;
}

.cart-box__item--package-offer {
  border: 1px solid #a5b2c2;
  border-radius: 10px;
  background-color: whitesmoke;
  padding: 0.5rem;
  flex-wrap: wrap;
}
.cart-box__item--package-offer + .cart-box__item {
  border-top: none !important;
}

.cart-box__package-offer-items {
  flex: 1 100%;
}
.cart-box__package-offer-items .cart-box__name {
  font-size: 0.875rem;
}

.cart-box__variants {
  color: rgba(60, 74, 96, 0.7);
  font-size: 0.8125rem;
  line-height: 1.2;
  flex: 0 0 100%;
}

.cart-box__variant::after {
  content: ",";
}
.cart-box__variant:last-child::after {
  display: none;
}